#!/bin/sh
#
# preprocess.sh is part of R2M OS Un-installer
#
#	Copyright (c) 2009-11 Rahul Bedarkar <rahulbedarkar89@gmail.com>
#	Copyright (c) 2009-11 Raees Shaikh
#	copyright (c) 2009-11 Madhukar Bangar 	
#
#	This program is free software: you can redistribute it and/or modify
#	it under the terms of the GNU General Public License as published by
#	the Free Software Foundation, either version 3 of the License, or
#	(at your option) any later version.
#
#	This program is distributed in the hope that it will be useful,
#	but WITHOUT ANY WARRANTY; without even the implied warranty of
#	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
#	GNU General Public License for more details.
#
#	You should have received a copy of the GNU General Public License
#	along with this program. If not, see <http://www.gnu.org/licenses/>.

#Read the Partiton table
 echo "p" | fdisk /dev/sda >fdisk
#Display How many Partitions it has
 awk '/dev/ { print }' fdisk > partition_table

disk_size=`cat partition_table | head -1` # Disk size

echo -e " Disk size--$disk_size \n" >>preprocess_os

no_part=`cat partition_table | wc -l`

echo -e "Your system have `expr $no_part - 1` partitions\n" >>preprocess_os

#Check OSes and where are they on active or on extended

awk '/\*/{ print }' fdisk | tail -1 > active_part
awk '/NTFS/{ print }' fdisk > windows_part
awk '/Linux/{ print }' fdisk > Linux_part
awk '/\*/{ print }' Linux_part > Linux_act
awk '/\*/{ print }' windows_part > windows_act

  # checking if active part and windows is same

diff active_part windows_act >> /dev/null 
status_active=`echo $?`
if test $status_active -eq 0 ; then
	echo -e " Your active partion is `awk '{ print $1 }' active_part` " >>preprocess_os
	echo -e " Windows is on the Active partion \n" >> preprocess_os
fi

  # checking if active and Linux partion is same

diff active_part Linux_act >> /dev/null
status_active=`echo $?`
 if test $status_active -eq 0 ; then
	echo -e " Your active partion is `awk '{ print $1 }' active_part` " >>preprocess_os
	echo -e "Linux is on Active Partition" >> preprocess_os
 fi 
	

