#!/usr/bin/env python

#
# r2m.py is part of R2M OS Un-installer
#
#	Copyright (c) 2009-11 Rahul Bedarkar <rahulbedarkar89@gmail.com>
#	Copyright (c) 2009-11 Raees Shaikh
#	copyright (c) 2009-11 Madhukar Bangar 	
#
#	This program is free software: you can redistribute it and/or modify
#	it under the terms of the GNU General Public License as published by
#	the Free Software Foundation, either version 3 of the License, or
#	(at your option) any later version.
#
#	This program is distributed in the hope that it will be useful,
#	but WITHOUT ANY WARRANTY; without even the implied warranty of
#	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
#	GNU General Public License for more details.
#
#	You should have received a copy of the GNU General Public License
#	along with this program. If not, see <http://www.gnu.org/licenses/>.

import sys
import pygtk
pygtk.require('2.0')
import gtk

class os_list:
    
    def callback(self, widget, data):
     
	os.system("touch linux_status win_status")
	if data == 'Linux\n':
		linux=("OFF","ON")[widget.get_active()]
		myfile=open('linux_status','w')
		myfile.write(linux)
		myfile.close()
	elif data == "Windows\n":
		windows=("OFF","ON")[widget.get_active()]
		myfile=open('win_status','w')
		myfile.write(windows)
		myfile.close()
		
    def uninstall(self, widget, data):
	os.system("touch  os_to_delete")
	myfile=open('linux_status')
	file1=open('os_to_delete','w')
	if myfile.readline()=="ON":
		file1.write("Linux\n")
		os.system("sh linux_del.sh") # code to uninstalled
	myfile.close()

	myfile=open('win_status')
	if myfile.readline()=="ON":
		os.system("sh win_del.sh") # code to  uninstall
		file1.write("Windows\n")
	myfile.close()
	file1.close()	#delete all temp files	
	os.system("sh modifyGrub_9.04.sh")
	os.system("sh install_grub.sh")
	# write uninstalltion code here
	
    def delete_event(self, widget, event, data=None):
        print "delete event occurred"
	gtk.main_quit()
        return False

    def destroy(self, widget, data=None):
        print "destroy signal occurred"
        gtk.main_quit()

    def __init__(self):
	
        self.window = gtk.Window(gtk.WINDOW_TOPLEVEL)

        self.window.connect("delete_event", self.delete_event)

    	self.window.connect("destroy", self.destroy)

	self.window.set_size_request(400,400)

        self.window.set_border_width(10)

	self.box1=gtk.VBox(True,0)

	self.box1.set_border_width(2)

	self.window.add(self.box1)

	self.window.set_title("R2M OS Uninstaller")


	os.system("cat  os.txt | wc -l >  no_os_installed")
	
	myfile=open('no_os_installed')
	
	no_of_os=myfile.readline()

	no_of_os=int(no_of_os)

	myfile.close()

	myfile=open('os.txt')

	while no_of_os > 0:		
	
		string=myfile.readline()
	
		print string

		self.button=gtk.CheckButton(string)

		self.button.connect("toggled",self.callback,string)

		self.box1.pack_start(self.button,False,False,0)

		self.button.show()			

		no_of_os -= 1

	myfile.close()

	self.sep=gtk.HSeparator()

	self.box1.pack_start(self.sep,True,True,30)

	self.sep.show()

	
	self.button2=gtk.Button("Uninstall Selected OS's")

	self.button2.connect("clicked",self.uninstall,"Forword")

	self.button2.grab_default()

	self.box1.pack_start(self.button2,False,True,10)

	self.button2.show()


	self.button1=gtk.Button("Exit")

	self.button1.connect("clicked",self.destroy,"Exit")

	self.box1.pack_start(self.button1,False,True,10)

	self.button1.show()	


	self.box1.show()

	#os.system("sleep 8")

	self.window.show()

    def main(self):
        gtk.main()

class wait_for:
    def callback(self, widget, data):
     
	os.system("sh preprocess.sh") # preprocessing file
	os.system("sh find_os_installed.sh") # finds os installed
	self.label2.show()
	self.window.hide()
	gtk.main_quit()
	list1=os_list()
	list1.main()
	

    def delete_event(self, widget, event, data=None):
        print "delete event occurred"
	gtk.main_quit()
        return False

    def destroy(self, widget, data=None):
        print "destroy signal occurred"
        gtk.main_quit()

    def __init__(self):
	
        self.window = gtk.Window(gtk.WINDOW_TOPLEVEL)

        self.window.connect("delete_event", self.delete_event)

    	self.window.connect("destroy", self.destroy)

	self.window.set_size_request(400,400)

        self.window.set_border_width(10)


	self.box1=gtk.VBox(True,0)

	self.box1.set_border_width(2)

	self.window.add(self.box1)

	self.window.set_title("R2M OS Uninstaller")



	self.label=gtk.Label("Please wait...\n Checking your System\n Reading partition Tables\n Done ... \n")

	self.box1.pack_start(self.label,True,True,0)

	self.label.show()

	self.label2=gtk.Label("\nNow R2M is detecting the \nOperating systems installed on your system")
	
	self.box1.pack_start(self.label2,True,True,0)

	self.label2.show()
	
	self.sep=gtk.HSeparator()

	self.box1.pack_start(self.sep,True,True,30)

	self.sep.show()

	
	self.button2=gtk.Button("Forword")

	self.button2.connect("clicked",self.callback,"Forword")

	self.button2.grab_default()

	self.box1.pack_start(self.button2,False,True,10)

	self.button2.show()


	self.button1=gtk.Button("Exit")

	self.button1.connect("clicked",self.destroy,"Exit")

	self.box1.pack_start(self.button1,False,True,10)

	self.button1.show()	

	self.box1.show()

	self.window.show()



    def main(self):
        
        gtk.main()



class R2M:

    
    def callback(self, widget, data):
     
	self.window.hide()
	gtk.main_quit()
	ok=wait_for()
	ok.main()
	

    def delete_event(self, widget, event, data=None):
        print "delete event occurred"
	gtk.main_quit()
        return False

    def destroy(self, widget, data=None):
        print "destroy signal occurred"
        gtk.main_quit()

    def __init__(self):
	
        self.window = gtk.Window(gtk.WINDOW_TOPLEVEL)

        self.window.connect("delete_event", self.delete_event)

    	self.window.connect("destroy", self.destroy)

	self.window.set_size_request(300,300)

        self.window.set_border_width(10)


	self.box1=gtk.VBox(True,0)

	self.box1.set_border_width(2)

	self.window.add(self.box1)

	self.window.set_title("R2M OS Uninstaller")



	self.label=gtk.Label("WELCOME - to R2m OS Uninstaller.\nNext few steps allows you to uninstall\n the Operating system.\nPress Forword to continue")

	self.box1.pack_start(self.label,True,True,0)

	self.label.show()

	self.sep=gtk.HSeparator()


	self.box1.pack_start(self.sep,True,True,50)

	self.sep.show()

	
	self.button2=gtk.Button("Forword")

	self.button2.connect("clicked",self.callback,"Forword")

	self.button2.grab_default()

	self.box1.pack_start(self.button2,False,True,10)

	self.button2.show()


	self.button1=gtk.Button("Exit")

	self.button1.connect("clicked",self.destroy,"Exit")

	self.box1.pack_start(self.button1,False,True,10)

	self.button1.show()	

	self.box1.show()

	self.window.show()
    

    def main(self):
        
        gtk.main()


if __name__ == "__main__":
    hello = R2M()
    hello.main()
